Skip to content
View as Markdown

POST Bulk Add/Update Contacts​

POST
/subscribers/bulk-add-update

Add or update multiple contacts in a single request. Each contact in the array is processed individually. Invalid contacts (missing or invalid email) are collected and returned separately. Optionally sends double opt-in emails and forces updates on existing contacts.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"contacts": [
{
"email": "string",
"first_name": "string",
"last_name": "string",
"prefix": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"tags": [
0
],
"lists": [
0
]
}
],
"double_optin": false,
"force_update": false
}

Responses​

Bulk operation result with created, updated, and invalid contacts.

application/json
JSON
{
"message": "string",
"created": [
{
"id": 0,
"email": "string",
"status": "string"
}
],
"updated": [
{
"id": 0,
"email": "string",
"status": "string"
}
],
"invalids": [
{
}
]
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI